

VIDEO_CONTROL   equ     $d640
;XDL enable
VC_XDL_ENABLED  equ     1
VC_XCOLOR       equ     2

; XDL Address
XDL_ADR0        equ     $d641
XDL_ADR1        equ     $d642
XDL_ADR2        equ     $d643

; Palette / Priority map / Color map transfer registers
MSEL            equ     $d644
MSEL_CMAP       equ     $40
MSEL_RGB        equ     $c0
MSEL_PMAP       equ     $80
MB0             equ     $d645
MB1             equ     $d646
MB2             equ     $d647
MB3             equ     $d648

XDLC_TMON       equ     1
XDLC_GMON       equ     2
XDLC_OVOFF      equ     4
XDLC_MAPON      equ     8
XDLC_MAPOFF     equ     $10
XDLC_OVADR      equ     $20
XDLC_OVSCRL     equ     $40
XDLC_CHBASE     equ     $80
XDLC_MAPADR     equ     $100
XDLC_MAPPAR     equ     $200
XDLC_OVATT      equ     $400
XDLC_RPTL       equ     $4000
XDLC_END        equ     $8000

; MEMAC Bank A (0x2000 - 0x3fff)
MA_CPU          equ     $d64c
MA_ANTIC        equ     $d64d
; MEMAC Bank B (0x4000 - 0x7fff)
MB_CPU          equ     $d64e
MB_ANTIC        equ     $d64f
; BAnk A/B ON/OFF bit
MEMAC_ON        equ     $80
MEMAC_OFF       equ     0

MEMAC_A_WINDOW  equ     $2000
MEMAC_B_WINDOW  equ     $4000

BL_ADR0         equ     $d650
BL_ADR1         equ     $d651
BL_ADR2         equ     $d652
BLITTER_START   equ     $d653
IRQ_CONTROL     equ     $d654

CORE_VERSION    equ     $d640
BLT_COL_CODE    equ     $d650
BLITTER_BUSY    equ     $d653
IRQ_STATUS      equ     $d654

BLT_COLLISION_CODE equ BLT_COL_CODE

SX      equ     $10
SY      equ     $20
DX      equ     $40
DY      equ     $80
NEXT    equ     $8
